# DataGridViewElementStates

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the user interface (UI) state of a element within a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DataGridViewElementStates : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DataGridViewElementStates As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name             | Description                                                                                                    |
| ---------------- | -------------------------------------------------------------------------------------------------------------- |
| **Displayed**    | The element is currently displayed.                                                                            |
| **Frozen**       | The element belongs to a frozen (fixed) band.                                                                  |
| **None**         | Default state.                                                                                                 |
| **ReadOnly**     | The element will not accept user input to change its value.                                                    |
| **Resizable**    | The element can be resized. This value is ignored except when combined with the [ResizableSet](#fields) value. |
| **ResizableSet** | The element does not inherit the resizable state of its parent.                                                |
| **Selected**     | The element is selected.                                                                                       |
| **Visible**      | The element is visible (can be displayed or it's already displayed).                                           |

## Used By

| Name                                                                                                                                                                                              | Description                                                                                                                                                                                                          |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridViewColumnCollection.GetColumnCount](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumncollection.md#getcolumncount-includefilter)                                 | Returns the number of columns that match the *includeFilter* .                                                                                                                                                       |
| [DataGridViewColumnCollection.GetColumnsWidth](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumncollection.md#getcolumnswidth-includefilter)                               | Returns the width, in pixels, required to display all of the columns that meet the *includeFilter* .                                                                                                                 |
| [DataGridViewColumnCollection.GetFirstColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumncollection.md#getfirstcolumn-includefilter-excludefilter)                   | Returns the first [DataGridViewColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md) in display order that matches the *includeFilter* and *excludeFilter* .                          |
| [DataGridViewColumnCollection.GetLastColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumncollection.md#getlastcolumn-includefilter-excludefilter)                     | Returns the last [DataGridViewColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md) in display order that matches the *includeFilter* and *excludeFilter* .                           |
| [DataGridViewColumnCollection.GetNextColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumncollection.md#getnextcolumn-startcolumn-includefilter-excludefilter)         | Returns the first [DataGridViewColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md) after the given column in display order that matches the *includeFilter* and *excludeFilter* .   |
| [DataGridViewColumnCollection.GetPreviousColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumncollection.md#getpreviouscolumn-startcolumn-includefilter-excludefilter) | Returns the last [DataGridViewColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md) prior to the given column in display order that matches the *includeFilter* and *excludeFilter* . |
| [DataGridViewRowCollection.GetRowCount](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowcollection.md#getrowcount-includefilter)                                             | Returns the number of rows that match the *includeFilter* .                                                                                                                                                          |
| [DataGridViewRowCollection.GetRowsHeight](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowcollection.md#getrowsheight-includefilter)                                         | Returns the cumulative height of the [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) objects that match the *includeFilter* .                                            |
| [DataGridViewRowCollection.GetFirstRowIndex](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowcollection.md#getfirstrowindex-includefilter-excludefilter)                     | Returns the index of the first [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) that matches the specified *includeFilter* and *excludeFilter* .                          |
| [DataGridViewRowCollection.GetFirstRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowcollection.md#getfirstrow-includefilter-excludefilter)                               | Returns the first [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) that matches the specified *includeFilter* and *excludeFilter* .                                       |
| [DataGridViewRowCollection.GetLastRowIndex](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowcollection.md#getlastrowindex-includefilter-excludefilter)                       | Returns the index of the last [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) that matches the *includeFilter* and *excludeFilter* .                                     |
| [DataGridViewRowCollection.GetLastRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowcollection.md#getlastrow-includefilter-excludefilter)                                 | Returns the last [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) that matches the *includeFilter* and *excludeFilter* .                                                  |
| [DataGridViewRowCollection.GetNextRowIndex](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowcollection.md#getnextrowindex-startrow-includefilter-excludefilter)              | Returns the index of the next [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) after *startRow* that matches the *includeFilter* and *excludeFilter* .                    |
| [DataGridViewRowCollection.GetNextRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowcollection.md#getnextrow-startrow-includefilter-excludefilter)                        | Returns the next [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) after *startRow* that matches the *includeFilter* and *excludeFilter* .                                 |
| [DataGridViewRowCollection.GetPreviousRowIndex](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowcollection.md#getpreviousrowindex-startrow-includefilter-excludefilter)      | Returns the index of the previous [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) before *startRow* that matches the *includeFilter* and *excludeFilter* .               |
| [DataGridViewRowCollection.GetPreviousRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowcollection.md#getpreviousrow-startrow-includefilter-excludefilter)                | Returns the previous [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) before *startRow* that matches the *includeFilter* and *excludeFilter* .                            |
| [DataGridViewRowCollection.GetRowState](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowcollection.md#getrowstate-rowindex)                                                  | Returns the state of the [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) at the specified index.                                                                         |
| [DataGridView.GetRowState](/api/wisej.web/lists-and-grids/datagridview.md#getrowstate-rowindex)                                                                                                   | Returns the state of the [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) at the specified index.                                                                         |
| [DataGridViewCell.InheritedState](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md#inheritedstate)                                                                       | Returns the current state of the cell as inherited from the state of its row and column.                                                                                                                             |
| [DataGridViewCell.GetInheritedState](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md#getinheritedstate-rowindex)                                                        | Returns a value indicating the current state of the cell as inherited from the state of its row and column.                                                                                                          |
| [DataGridViewElement.State](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewelement.md#state)                                                                                   | Returns the user interface (UI) state of the element.                                                                                                                                                                |
| [DataGridViewHeaderCell.GetInheritedState](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewheadercell.md#getinheritedstate-rowindex)                                            | Returns a value indicating the current state of the cell as inherited from the state of its row or column.                                                                                                           |
| [DataGridViewCellStateChangedEventArgs.StateChanged](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellstatechangedeventargs.md#statechanged)                                 | Returns the state that has changed on the cell.                                                                                                                                                                      |
| [DataGridViewColumnStateChangedEventArgs.StateChanged](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumnstatechangedeventargs.md#statechanged)                             | Returns the new column state.                                                                                                                                                                                        |
| [DataGridViewRowStateChangedEventArgs.StateChanged](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowstatechangedeventargs.md#statechanged)                                   | Returns the state that has changed on the row.                                                                                                                                                                       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewelementstates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
